%define module	musicbrainzngs

Name:		python-%{module}
Version:	0.6
Release:	%mkrel 2
Summary:	Python bindings for MusicBrainz NGS webservice
Group:		Development/Python
License:	BSD and ISC
URL:		https://python-musicbrainzngs.readthedocs.org/
Source0:	https://pypi.io/packages/source/m/%{module}/%{module}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(nose)

BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(nose)

BuildRequires:	locales-en

%description
This library implements webservice bindings for the MusicBrainz NGS site,
also known as /ws/2.

For more information on the MusicBrainz webservice see:
  http://wiki.musicbrainz.org/XML_Web_Service

#------------------------------------------------

%package -n	python2-%{module}
Summary:	Python 2 bindings for MusicBrainz NGS webservice
Group:		Development/Python
# can be removed for mga7
Obsoletes:	python-musicbrainz-ngs < 0.3-2
Provides:	python-musicbrainz-ngs = %{version}-%{release}

%description -n	python2-%{module}
This library implements Python 2 webservice bindings for the
MusicBrainz NGS site, also known as /ws/2.

For more information on the MusicBrainz webservice see:
  http://wiki.musicbrainz.org/XML_Web_Service

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 bindings for MusicBrainz NGS webservice
Group:		Development/Python

%description -n python3-%{module}
This library implements Python 3 webservice bindings for the
MusicBrainz NGS site, also known as /ws/2.

For more information on the MusicBrainz webservice see:
  http://wiki.musicbrainz.org/XML_Web_Service

#------------------------------------------------

%prep
%setup -qn %{module}-%{version}

chmod a-x examples/*.py
sed -i '1{\@^#!/usr/bin/env python@d}' examples/*.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%define enable_tests 1
%if %{enable_tests}
rm -rf musicbrainzngs
export LANG=en_US.UTF-8
PYTHONPATH=%{buildroot}%{python2_sitelib} nosetests-%{python2_version}
PYTHONPATH=%{buildroot}%{python3_sitelib} nosetests-%{python3_version}
%endif

%files -n python2-%{module}
%doc README.rst docs examples
%license COPYING
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst docs examples
%license COPYING
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Feb 12 2017 daviddavid <daviddavid> 0.6-2.mga6
+ Revision: 1085923
- obsoletes/provides python-musicbrainz-ngs

* Fri Dec 30 2016 daviddavid <daviddavid> 0.6-1.mga6
+ Revision: 1078676
- initial package python-musicbrainzngs

